"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createDimensionStore = void 0;
var createDimensionStore = function (store, storeKey) {
    var getState = function () { return store.getState()[storeKey]; };
    return {
        getState: getState,
        subscribe: function (callback) {
            var lastState = getState();
            return store.subscribe(function () {
                if (lastState !== getState())
                    callback((lastState = getState()));
            });
        },
    };
};
exports.createDimensionStore = createDimensionStore;
